<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedLightBase/PointLightBase/FlareLight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d9d/_flare_light_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">FlareLight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d9d/_flare_light_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#a9892961faeb83cf480d09be08f64117a">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#ae74b906e56722b38fecbdb2bedc981f5">    3</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span>    <a class="code hl_variable" href="../../d7/d9d/_flare_light_8c.html#a04cdd726de9008092273d77fbfde5c5e">m_FlareRadius</a> = 100;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#a97f8d7dfbdb7fb6a68cc5f376e15382b">    4</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span>    <a class="code hl_variable" href="../../d7/d9d/_flare_light_8c.html#a315659292c3a67d91bf90c3d2b068014">m_FlareBrightness</a> = 10.0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="keyword">static</span> <span class="keywordtype">string</span>   <a class="code hl_variable" href="../../d7/d9d/_flare_light_8c.html#a9904db314f11e76e4cd1a1e2b5acde41">m_MemoryPoint</a> = <span class="stringliteral">&quot;light&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#ae93689cd55d5e56034bc988e8a39e9b0">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dbb/class_point_light_base.html#ae93689cd55d5e56034bc988e8a39e9b0">FlareLight</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        SetVisibleDuringDaylight( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetRadiusTo( <a class="code hl_variable" href="../../d7/d9d/_flare_light_8c.html#a04cdd726de9008092273d77fbfde5c5e">m_FlareRadius</a> );</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        SetBrightnessTo( <a class="code hl_variable" href="../../d7/d9d/_flare_light_8c.html#a315659292c3a67d91bf90c3d2b068014">m_FlareBrightness</a> );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        FadeIn( 1 );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        SetFadeOutTime( 0.2 );</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        SetDiffuseColor( 0.7, 0.7, 0.3 );</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        SetAmbientColor( 0.7, 0.7, 0.3 );</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        SetFlareVisible( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        SetFlickerAmplitude( 0.9 );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        SetFlickerSpeed( 0.3 );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        SetDancingShadowsMovementSpeed( 0.5 );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        SetDancingShadowsAmplitude( 0.15 );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="comment">//SetLifetime( 50 );</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        EnableLinear( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        EnableHeatHaze( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        SetHeatHazeRadius( 0.1 );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        SetHeatHazePower( 0.02 );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">        #ifdef PLATFORM_WINDOWS</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            SetCastShadow( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            SetCastShadow( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>}</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d65/class_flare_light_red.html">FlareLightRed</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>{</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../d5/d65/class_flare_light_red.html">FlareLightRed</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#a04cdd726de9008092273d77fbfde5c5e">   39</a></span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#a315659292c3a67d91bf90c3d2b068014">   40</a></span>        SetDiffuseColor( 1.0, 0.3, 0.3 );</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#a9904db314f11e76e4cd1a1e2b5acde41">   41</a></span>        SetAmbientColor( 1.0, 0.3, 0.3 );</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#aa2b64c22921bef43aeeaf7b269b4c622">   43</a></span>}</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#a86c3dcae7e6f39a6d3c5194ac5ecc7c8">   45</a></span><span class="keyword">class </span><a class="code hl_function" href="../../d7/d9d/_flare_light_8c.html#a1588867af565745d45ae13d858346155">FlareLightGreen</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>{   </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../db/db6/class_flare_light.html#ae4f68615ec7c1e83ab83a33718b5c46f">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/db6/class_flare_light.html#ae4f68615ec7c1e83ab83a33718b5c46f">FlareLightGreen</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        SetDiffuseColor( 0.3, 1.0, 0.3 );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        SetAmbientColor( 0.3, 1.0, 0.3 );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>}</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="keyword">class </span><a class="code hl_function" href="../../d7/d9d/_flare_light_8c.html#a86c3dcae7e6f39a6d3c5194ac5ecc7c8">FlareLightBlue</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../db/db6/class_flare_light.html">FlareLight</a></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>{</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d9d/_flare_light_8c.html#a86c3dcae7e6f39a6d3c5194ac5ecc7c8">FlareLightBlue</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d7/d9d/_flare_light_8c.html#a1588867af565745d45ae13d858346155">   57</a></span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        SetDiffuseColor( 0.3, 0.3, 1.0 );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        SetAmbientColor( 0.3, 0.3, 1.0 );</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>}</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span> </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d5/d65/class_flare_light_red.html">   63</a></span><span class="keyword">class </span>FlareLightContamination <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/d65/class_flare_light_red.html">FlareLightRed</a></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>{</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d5/d65/class_flare_light_red.html#a0634d673dea516b30fc5ae276fd06960">   65</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d65/class_flare_light_red.html#a0634d673dea516b30fc5ae276fd06960">FlareLightContamination</a>()</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        SetLifetime( 20 );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="ttc" id="a_flare_light_8c_html_a04cdd726de9008092273d77fbfde5c5e"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a04cdd726de9008092273d77fbfde5c5e">m_FlareRadius</a></div><div class="ttdeci">static float m_FlareRadius</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00039">FlareLight.c:39</a></div></div>
<div class="ttc" id="a_flare_light_8c_html_a1588867af565745d45ae13d858346155"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a1588867af565745d45ae13d858346155">FlareLightGreen</a></div><div class="ttdeci">void FlareLightGreen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00057">FlareLight.c:57</a></div></div>
<div class="ttc" id="a_flare_light_8c_html_a315659292c3a67d91bf90c3d2b068014"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a315659292c3a67d91bf90c3d2b068014">m_FlareBrightness</a></div><div class="ttdeci">static float m_FlareBrightness</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00040">FlareLight.c:40</a></div></div>
<div class="ttc" id="a_flare_light_8c_html_a86c3dcae7e6f39a6d3c5194ac5ecc7c8"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a86c3dcae7e6f39a6d3c5194ac5ecc7c8">FlareLightBlue</a></div><div class="ttdeci">class FlareLightGreen extends FlareLight FlareLightBlue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00045">FlareLight.c:56</a></div></div>
<div class="ttc" id="a_flare_light_8c_html_a9904db314f11e76e4cd1a1e2b5acde41"><div class="ttname"><a href="../../d7/d9d/_flare_light_8c.html#a9904db314f11e76e4cd1a1e2b5acde41">m_MemoryPoint</a></div><div class="ttdeci">static string m_MemoryPoint</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00041">FlareLight.c:41</a></div></div>
<div class="ttc" id="aclass_flare_light_html"><div class="ttname"><a href="../../db/db6/class_flare_light.html">FlareLight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00045">FlareLight.c:46</a></div></div>
<div class="ttc" id="aclass_flare_light_html_ae4f68615ec7c1e83ab83a33718b5c46f"><div class="ttname"><a href="../../db/db6/class_flare_light.html#ae4f68615ec7c1e83ab83a33718b5c46f">FlareLight::FlareLightGreen</a></div><div class="ttdeci">void FlareLightGreen()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00047">FlareLight.c:47</a></div></div>
<div class="ttc" id="aclass_flare_light_red_html"><div class="ttname"><a href="../../d5/d65/class_flare_light_red.html">FlareLightRed</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00063">FlareLight.c:64</a></div></div>
<div class="ttc" id="aclass_flare_light_red_html_a0634d673dea516b30fc5ae276fd06960"><div class="ttname"><a href="../../d5/d65/class_flare_light_red.html#a0634d673dea516b30fc5ae276fd06960">FlareLightRed::FlareLightContamination</a></div><div class="ttdeci">void FlareLightContamination()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00065">FlareLight.c:65</a></div></div>
<div class="ttc" id="aclass_point_light_base_html"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da0/_bonfire_light_8c_source.html#l00001">BonfireLight.c:2</a></div></div>
<div class="ttc" id="aclass_point_light_base_html_ae93689cd55d5e56034bc988e8a39e9b0"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html#ae93689cd55d5e56034bc988e8a39e9b0">PointLightBase::FlareLight</a></div><div class="ttdeci">void FlareLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d9d/_flare_light_8c_source.html#l00007">FlareLight.c:7</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_50f518e75e7de83ddcd3aee1de3ffc98.html">ScriptedLightBase</a></li><li class="navelem"><a class="el" href="../../dir_2a62e9dabe3d51825a6f1e7ea8928c3e.html">PointLightBase</a></li><li class="navelem"><a class="el" href="../../d7/d9d/_flare_light_8c.html">FlareLight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
